import { ErrorIcon, LogIcon, LogInfoIcon, SucessIcon, WarningIcon } from "../icons/LogIcons";
import { LogType } from "../ui/log/LoggerContext";

export const GetLogIcon = (type: LogType): JSX.Element => {
  switch (type) {
    case "info":
      return <LogInfoIcon />;
    case "log":
      return <LogIcon />;
    case "error":
      return <ErrorIcon />;
    case "warning":
      return <WarningIcon />;
    case "success":
      return <SucessIcon />;
    default:
      return <LogIcon />;
  }
};
